Will the Magic Trackpad 2, Magic Mouse 2, and Magic Keyboard work with your Mac

Apple just announced an update to its iMac lineup, and a set of new peripherals along: a new Magic Mouse (the Magic Mouse 2), a Magic Keyboard and an up to date Magic Trackpad 2. These peripherals may be bought as a part of the new iMac bundles, but they’re also available separately, and paintings with some older Macs. The query is, how old can your Mac be and nevertheless paintings with the Magic Trackpad 2?
In truth, the essential element is the model of Mac OS you’re going for walks rather than the age of your hardware. We’ll examine the device necessities of the three new peripherals personally, however they are pretty tons the identical: we just find that the Magic Trackpad 2 is a touch stricter about the model of Bluetooth that it calls for.

Which Macs paintings with the Magic Trackpad 2?
The reliable documentation warns that the Magic Trackpad requires a “Bluetooth 4.zero-enabled Mac with OS X v10.eleven or later”. It truly is El Capitan, of path – the maximum latest version of Mac OS X. It’s a free improve from Yosemite – and from any model of OS X going returned to Snow Leopard – but a truthful few humans haven’t made the update yet, so that is some thing to undergo in thoughts.

So that you want El Cap; but not every Mac can get it. We’ve looked at the list of El Cap-well suited Macs in a separate article, however, in short, here is a listing of the Macs which could make the upgrade:

Which Macs work with the Magic Trackpad 2?iMac (Mid-2007 or later)
MacBook (13-inch Aluminum, Past due 2008), (13-inch, Early 2009 or later)
MacBook Seasoned (thirteen-inch, Mid-2009 or later), (15-inch, Mid/Past due 2007 or later), (17-inch, Late 2007 or later)
MacBook Air (Overdue 2008 or later)
Mac Mini (Early 2009 or later)
Mac Seasoned (Early 2008 or later)
Xserve (Early 2009)
If your Mac is older than that, you are out of success. (Or you could take a look at this as an excuse to buy a brand new Mac!)

To look how strict the necessities are, we attempted pairing the trackpad with a Mac going for walks Yosemite (OS X 10.10) and sure enough, it didn’t paintings well – although, oddly enough, it did paintings with a stressed out connection, So that you’ve were given that choice in a pinch. It turned into handiest whilst we unplugged the Lightning cable that it stopped working.

Actually the trouble is associated with the wireless pairing method – and this isn’t sincerely an problem with the version of Bluetooth, which changed into 4.3 in this particular Mac.
In other words, expect to should upgrade your Mac to El Capitan, if you have not already, so one can be able to use this device.

Right here’s the Magic Trackpad 2’s complete tech specifications and system requirements, by the way:

Top: zero.forty nine–1.09 cm (0.19–zero.forty three inch); Width: sixteen.0 cm (6.three inches); Depth: eleven.49 cm (4.52 inches); Weight: 231.0 grams (8.11 ounces); Force Touch; Multi-Touch; Bluetooth; Lightning port; wi-fi; requires Bluetooth 4.zero-enabled Mac pc with OS X v10.eleven or later

Which Macs paintings with the Magic Mouse 2?
Like the Magic Trackpad 2, the Magic Mouse simplest works with Macs jogging El Capitan. In case you’ve no longer upgraded but, take a look at the listing of El Cap-well matched Macs above To look In case your system is able to accomplish that. (It may additionally be worth studying our Mac OS X El Capitan review, or our evaluation of Mac OS X El Capitan vs Mac OS X Yosemite, To see If you surely want to upgrade or if It’s really worth the attempt.)

Beyond that, you just want to have Bluetooth in an effort to installation a wi-fi reference to the Magic Mouse 2. Whereas the Magic Trackpad 2 specifies Bluetooth model four.0, the mouse isn’t anywhere close to as fussy: it simply calls for a “Bluetooth-enabled Mac laptop with OS X v10.11 or later”.

Which Macs paintings with the Magic Keyboard?
identical as for the Magic Mouse 2: any Mac This is strolling OS X El Capitan (check the listing above for Macs that are like minded with El Capitan) and geared up with some version of Bluetooth. It does not need to be Bluetooth four.0.

About -

comment closed


Your 468x60 Adsense Code Here